Subject: Re: [PATCH net-next] net: bcmgenet: Patch PHY interface for dedicated PHY driver

From: [email-masked]
Date: Sat, 18 Sep 2021 11:00:07 +0000

Hello:

This patch was applied to netdev/net-next.git (refs/heads/master):

On Fri, 17 Sep 2021 14:55:38 -0700 you wrote:
> When we are using a dedicated PHY driver (not the Generic PHY driver)
> chances are that it is going to configure RGMII delays and do that in a
> way that is incompatible with our incorrect interpretation of the
> phy_interface value.
> 
> Add a quirk in order to reverse the PHY_INTERFACE_MODE_RGMII to the
> value of PHY_INTERFACE_MODE_RGMII_ID such that the MAC continues to be
> configured the way it used to be, but the PHY driver can account for
> adding delays. Conversely when PHY_INTERFACE_MODE_RGMII_TXID is
> specified, return PHY_INTERFACE_MODE_RGMII_RXID to the PHY since we will
> have enabled a TXC MAC delay (id_mode_dis=0, meaning there is a delay
> inserted).
> 
> [...]

Here is the summary with links:
  - [net-next] net: bcmgenet: Patch PHY interface for dedicated PHY driver
    https://git.kernel.org/netdev/net-next/c/b972b54a68b2

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html